# transaction.hxx File Reference

`#include "pqxx/compiler-public.hxx"`
`#include "pqxx/compiler-internal-pre.hxx"`
`#include "pqxx/dbtransaction"`
`#include "pqxx/compiler-internal-post.hxx"`

Include dependency graph for transaction.hxx:

Go to the source code of this file.

## Namespaces

namespace | pqxx

## Classes

class | pqxx::basic_transaction
class | pqxx::transaction< ISOLATIONLEVEL >
| Standard back-end transaction, templatized on isolation level. More...

## Typedefs

typedef transaction | pqxx::work
| Bog-standard, default transaction type.